using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using System.Data;

namespace IndianHealthService.BMXNet.Tests
{

    /// <summary>
    /// BMX ADO SS^BMX TEST FILE^^~~~~~
    /// 
    /// </summary>
    /// 

    public class LoginTestSuite : BmxValidUserTestSuite
    {
        /*
        
        [Test]
        public void LoginAutoServerManualAccessVerify()
        {
            BMXBroker Broker;
            BMXNetConnectInfo connectInfo = new BMXNetConnectInfo();
            connectInfo.ChangeServerInfo();
            connectInfo.LoadConnectInfo("greg4330", "ira-4330");

            if (connectInfo.UserDivisions.Rows.Count > 1)
            {
                connectInfo.ChangeDivision(null);
            }
            connectInfo.AppContext = "AMHGRPC";

            Broker = connectInfo.bmxBroker;
            Broker.ReceiveTimeout = 999999;
            Broker.RWLTimeout = 9999999;
            String DUZ = connectInfo.DUZ;
            String DUZ2 = connectInfo.DUZ2;
            String sDivisionName = connectInfo.DivisionName;
            String sConnectionString = connectInfo.GetDSN("AMHGRPC");
        }

        [Test]
        public void LoginAutoServerAutoAccessVerify()
        {
            BMXBroker Broker;
            BMXNetConnectInfo connectInfo = new BMXNetConnectInfo();
            connectInfo.ChangeServerInfo();
            connectInfo.LoadConnectInfo();

            if (connectInfo.UserDivisions.Rows.Count > 1)
            {
                connectInfo.ChangeDivision(null);
            }
            connectInfo.AppContext = "AMHGRPC";

            Broker = connectInfo.bmxBroker;
            Broker.ReceiveTimeout = 999999;
            Broker.RWLTimeout = 9999999;
            String DUZ = connectInfo.DUZ;
            String DUZ2 = connectInfo.DUZ2;
            String sDivisionName = connectInfo.DivisionName;
            String sConnectionString = connectInfo.GetDSN("AMHGRPC");
        }

        [Test]
        public void BehaviorialHealthLoginScript()
        {

            BMXBroker Broker;
            BMXNetConnectInfo connectInfo = new BMXNetConnectInfo();
            connectInfo.ChangeServerInfo();
            connectInfo.LoadConnectInfo();

            if (connectInfo.UserDivisions.Rows.Count > 1)
            {
                connectInfo.ChangeDivision(null);
            }
            connectInfo.AppContext = "AMHGRPC";

            Broker = connectInfo.bmxBroker;
            Broker.ReceiveTimeout = 999999;
            Broker.RWLTimeout = 9999999;
            String DUZ = connectInfo.DUZ;
            String DUZ2 = connectInfo.DUZ2;
            String sDivisionName = connectInfo.DivisionName;
            String sConnectionString = connectInfo.GetDSN("AMHGRPC");


        }
         */

    }
}
